Subject: Re: bug#71321: 30.0.50; M-x grep: not recognizing well files with colon

From: Jean Louis <[email-masked]>
Date: Tue, 4 Jun 2024 22:08:32 +0300

* Dmitry Gutov <[email-masked]> [2024-06-04 13:21]:
> On 04/06/2024 07:27, Jean Louis wrote:
> > Actual grep command is this:
> > 
> > M-x grep RET
> > grep --color=auto -nH -e '|' *.txt
> 
> I guess that means that you changed the command by hand when running 'M-x
> grep'?

Of course, I cannot search without saying what I am searching with the M-x grep command.

> What does the variable grep-command say?

grep-command ➜ "grep --color=auto -nH -e "

> Both grep-command and grep-template are generated in the same place, so if
> one has the --null argument, so should the other.

I did not customize it. Even if I use --null it gives same result.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

✡️🛡️ Proudly standing with Israel, a nation rooted in history and culture. Let's condemn hatred and promote understanding.

In support of Richard M. Stallman
https://stallmansupport.org/